cordova.define("simdoll-guopan.guopan", function(require, exports, module) {
var cordova = require('cordova');
var channel = require('cordova/channel');
channel.createSticky('onGuopanSDKReady');
// Tell cordova channel to wait on the CordovaInfoReady event
channel.waitForInitialization('onGuopanSDKReady');

var guopansdk = {
    SDKName : "guopan",
    needsPreorder : true,
    init:function(successFunction){
        setTimeout(successFunction,0);
    },
    setEventListener:function(listener){
        cordova.exec(listener, null, 'guopansdk', 'setEventListener',null);
    },
    login:function(packetDef, accountInfo, successFunction, errorFunction){
        cordova.exec(successFunction,errorFunction, 'guopansdk', 'login', [packetDef]);
    },
    purchase: function (preorderInfo, successFunction, errorFunction) {
        preorderInfo.sub_playerid = guopansdk.subapp_userid;
        preorderInfo.sub_playername = guopansdk.subapp_rolename;
        preorderInfo.sub_serverid = guopansdk.subapp_appid;
        preorderInfo.sub_rate = 10.0;
        cordova.exec(successFunction,errorFunction, 'guopansdk', 'purchase', [preorderInfo]);
    },
    completeTransaction: function (rcpt, successFunction, errorFunction) {
        setTimeout(successFunction,0);
    },
    exit: function (errorFunction) {
        cordova.exec(null,errorFunction, 'guopansdk', 'exit',null);
    },
};

if(window.sdevent){
    sdevent.subscribe("onAppLogin",function (appId, userId) {
        guopansdk.subapp_userid = userId;
        guopansdk.subapp_appid = appId;
    });
    sdevent.subscribe("onAppRoleCreate",function (appId, roleName) {
        guopansdk.subapp_rolename = roleName;
        var roleData = {
            'appid'     :appId,
            'userid'    :guopansdk.subapp_userid,
            'rolename'  :roleName,
            'rolelevel' :"1",
        };
       cordova.exec(null, null, 'guopansdk', 'setRoleData', ['createrole', roleData]);
    });
    sdevent.subscribe("onAppEnter",function (appId, userId, roleName, roleLevel) {
        guopansdk.subapp_userid = userId;
        guopansdk.subapp_rolename = roleName;
        var roleData = {
            'appid'     :appId,
            'userid'    :userId,
            'rolename'  :roleName,
            'rolelevel' :roleLevel,
        };
       cordova.exec(null, null, 'guopansdk', 'setRoleData', ['entergame', roleData]);
    });
    sdevent.subscribe("onAppRoleLevelUp",function (appId, roleLevel) {
        var roleData = {
            'appid'     :appId,
            'userid'    :guopansdk.subapp_userid,
            'rolename'  :guopansdk.subapp_rolename,
            'rolelevel' :roleLevel,
        };
       cordova.exec(null, null, 'guopansdk', 'setRoleData', ["levelup",roleData]);
    });
}
cordova.exec(function(guopanAppID){
    guopansdk.SDKInfo = guopanAppID;
    channel.onGuopanSDKReady.fire();
},function(errInfo){
    alert(errInfo);
}, 'guopansdk', 'init', null);


module.exports = guopansdk;
});
